Bug 1339565 - Can't press "create" button via keyboard when create network on p2v client
Summary: Can't press "create" button via keyboard when create network on p2v client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: network-manager-applet
Version: 7.3
Hardware: x86_64
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard: P2V
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2016-05-25 10:46 UTC by keanli
Modified: 2016-11-03 19:22 UTC (History)
14 users (show)

Fixed In Version: network-manager-applet-1.2.2-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:22:26 UTC


Attachments (Terms of Use)
Can't enter into create network interface via Press Enter keypad of keyboard (deleted)
2016-05-25 10:46 UTC, keanli
no flags Details
As the screenshot,try to press enter keypad to into network interface (60.78 KB, image/png)
2016-05-25 10:53 UTC, keanli
no flags Details
[patch v1] c-e: don't set the Cancel's button in "Add connection" dialog has_default (1.27 KB, patch)
2016-07-04 19:17 UTC, Thomas Haller
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description keanli 2016-05-25 10:46:01 UTC
Description of problem:

Can't press "create" button via keyboard when create network on p2v client

Version-Release number of selected component (if applicable):
virt-p2v-1.32.4-1

How reproducible:
100%

Steps to Reproduce:
1. Boot host from virt-p2v iso.
2. Select"Configure network ..." to enter network configure menu after the p2v GUI appear  
3. Click "Add" to enter Choose Connection Type menu 
4. Select a network (for example: Ethernet)
5. Move the select box to "Create" button using tab keypad of keyboard (do not using mouse)
6. Can't enter into create network interface via Press Enter keypad of keyboard

Actual results:
Can't press "create" button via keyboard

Expected results:
It's can be press "create "button success via keyboard

Additional info:
1.Can be into the create network interface successful via mouse   
2.it's can be reproduced on virt-p2v-1.28.1-1.51.3
please see the attachment for detail

Comment 1 keanli 2016-05-25 10:53:47 UTC
Created attachment 1161383 [details]
As the screenshot,try to press enter keypad to into network interface

Comment 3 Richard W.M. Jones 2016-05-26 15:43:49 UTC
I can reproduce this on Fedora 24 too.  When you tab to highlight
the "Create" button and hit the enter key, the "Cancel" button gets
pressed!

Comment 6 Thomas Haller 2016-07-04 16:12:30 UTC
(In reply to Richard W.M. Jones from comment #3)
> I can reproduce this on Fedora 24 too.  When you tab to highlight
> the "Create" button and hit the enter key, the "Cancel" button gets
> pressed!

that doesn't happen for me. Could you elaborate a bit more what you are doing? Exactly which version of nm-connection-editor are you using?

Also, the button is named "Save" not "Create"...


Thanks

Comment 7 Richard W.M. Jones 2016-07-04 16:32:03 UTC
Run nm-connection-editor.
Click the Add button.
Using the *keyboard* (not mouse) tab to Create.
Hit enter.

The cancel button is activated.

$ rpm -qf `which nm-connection-editor `
nm-connection-editor-1.2.0-1.fc24.x86_64

Comment 8 Thomas Haller 2016-07-04 17:06:33 UTC
Thanks Richard, I see now.

It seems in GTK, "Enter" selects the default action of the dialog (which is "Cancel"). Probably, the default action should be "Create" instead.

To invoke the currently selected item, use "Space" instead. I think this is a GTK thing and that works for me as expected.

Comment 9 Thomas Haller 2016-07-04 19:17:04 UTC
Created attachment 1176169 [details]
[patch v1] c-e: don't set the Cancel's button in "Add connection" dialog has_default

Comment 10 Beniamino Galvani 2016-07-06 09:19:37 UTC
(In reply to Thomas Haller from comment #9)
> Created attachment 1176169 [details]
> [patch v1] c-e: don't set the Cancel's button in "Add connection" dialog
> has_default

LGTM

Comment 14 Vladimir Benes 2016-09-27 11:13:29 UTC
Create button works as expected

Comment 16 errata-xmlrpc 2016-11-03 19:22:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.